Sets the number of rows to display in each group (expand.rows). Server Default 5

- « SolrQuery::setExpandQuery

- SolrQuery::setExplainOther »

- PHP Manual
- SolrQuery
- Sets the number of rows to display in each group (expand.rows). Server Default 5

# SolrQuery::setExpandRows

(PECL solr >= 2.2.0)

SolrQuery::setExpandRows — Sets the number of rows to display in each group (expand.rows). Server Default 5

### Description

public SolrQuery::setExpandRows(int `$value`): SolrQuery

Sets the number of rows to display in each group (expand.rows). Server Default 5

### Parameters

`value`

### Return Values

SolrQuery

### See Also

- SolrQuery::setExpand() - Enables/Disables the Expand Component
- SolrQuery::addExpandSortField() - Orders the documents within the expanded groups (expand.sort parameter)
- SolrQuery::removeExpandSortField() - Removes an expand sort field from the expand.sort parameter
- SolrQuery::setExpandQuery() - Sets the expand.q parameter
- SolrQuery::addExpandFilterQuery() - Overrides main filter query, determines which documents to include in the main group
- SolrQuery::removeExpandFilterQuery() - Removes an expand filter query